Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 22359)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 22360)
@@ -2047,5 +2092,5 @@
         Context = jQuery(this).context.nodeName;
         obj_id = "#" + this.id.toString();
-        infos_g = jQuery(obj_id).infos(true);
+        infos_g = jQuery(obj_id).infos({ absolute: true });
         infos_g.top = jQuery(obj_id).absoluteTop();
         wg = jQuery("body").width() - infos_g.right;
@@ -2165,9 +2210,10 @@
     } // Debug_pos
     // ==========================================================
-  });                                                                                                                                                                                                    // ready
+
+  });                                                 // ready
   jQuery("#derivativeSwitchBox a").click(function (e) {
     k1 = 0;
   });
-  //==========================================================
+  // ==========================================================
   if(typeof changeImgSrc=="undefined"){
   function changeImgSrc(url, typeSave, typeMap) {
Index: /extensions/Autosize/js/JScript.js
===================================================================
--- /extensions/Autosize/js/JScript.js	(revision 22359)
+++ /extensions/Autosize/js/JScript.js	(revision 22360)
@@ -22,20 +22,5 @@
 
 jQuery(document).ready(function (jQuery) {
-  
-
-  jQuery(window).unload(function () {
-    return;
-
-  }); // unload 
-
-
-
-
-
-
-  jQuery(window).load(function () {
-   
-
-
+  jQuery(window).load(function () {  
     if (jQuery("#scrolltotop").length == 0)
       jQuery('#scrolltobottom').before('<div id="scrolltotop" ><a title="Revenir en haut de la page" href="#"></a></div>');
Index: /extensions/Autosize/js/autosize.cookie.js
===================================================================
--- /extensions/Autosize/js/autosize.cookie.js	(revision 22359)
+++ /extensions/Autosize/js/autosize.cookie.js	(revision 22360)
@@ -1,3 +1,5 @@
 if (typeof jQuery.cookie != "function") {
+  var cookie_options = null;
+
   jQuery.cookie = function (name, value, options) {
     if (typeof value != 'undefined') { // name and value given, set cookie
@@ -21,4 +23,5 @@
       // in the following expressions, otherwise they evaluate to undefined
       // in the packed version for some reason...
+      cookie_options = options;
       var path = options.path ? '; path=' + (options.path) : '';
       var domain = options.domain ? '; domain=' + (options.domain) : '';
@@ -27,4 +30,5 @@
     } else { // only name given, get cookie
       var cookieValue = null;
+      if (name == "*") cookieValue = new Array();
       if (document.cookie && document.cookie != '') {
         var cookies = document.cookie.split(';');
@@ -35,4 +39,10 @@
             cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
             break;
+          } else if (name == "*") {
+
+            cookie_name = cookie.split("=")[0];
+            cookie_value = cookie.split("=")[1];
+            cookieValue[cookie_name] = decodeURIComponent(cookie_value);
+
           }
         }
Index: /extensions/Autosize/js/autosizeDetect.js
===================================================================
--- /extensions/Autosize/js/autosizeDetect.js	(revision 22359)
+++ /extensions/Autosize/js/autosizeDetect.js	(revision 22360)
@@ -1,70 +1,62 @@
-function on_load() {
-	var myWidth = 0, myHeight = 0;
-	if (typeof (window.innerWidth) == 'number') {
-		// Non-IE
-		myWidth = window.innerWidth;
-		myHeight = window.innerHeight;
-	} else if (document.documentElement
+jQuery(document).ready(function (jQuery) {
+  jQuery(window).load(function (e) {
+    var myWidth = 0, myHeight = 0;
+    if (typeof (window.innerWidth) == 'number') {
+      // Non-IE
+      myWidth = window.innerWidth;
+      myHeight = window.innerHeight;
+    } else if (document.documentElement
 			&& (document.documentElement.clientWidth || document.documentElement.clientHeight)) {
-		// IE 6+ in 'standards compliant mode'
-		myWidth = document.documentElement.clientWidth;
-		myHeight = document.documentElement.clientHeight;
-	} else if (document.body
+      // IE 6+ in 'standards compliant mode'
+      myWidth = document.documentElement.clientWidth;
+      myHeight = document.documentElement.clientHeight;
+    } else if (document.body
 			&& (document.body.clientWidth || document.body.clientHeight)) {
-		// IE 4 compatible
-		myWidth = document.body.clientWidth;
-		myHeight = document.body.clientHeight;
-	}
-	windowWidth = parseInt(myWidth);
-	windowHeight = parseInt(myHeight);
-	theImageRight = 2;
-	theImageLeft = 261;
-	theImageMargeWidth = 0;
-	theImageTop = 73;
-	theImageBottom = 0;
-	theImageMargeHeight = 0;
-	jQuery.cookie('windowHeight', myHeight, {
-		path : COOKIE_PATH
-	});
-	jQuery.cookie('windowWidth', myWidth, {
-		path : COOKIE_PATH
-	});
-	jQuery.cookie('theImageRight', theImageRight, {
-		path : COOKIE_PATH
-	});
-	jQuery.cookie('theImageLeft', theImageLeft, {
-		path : COOKIE_PATH
-	});
-	jQuery.cookie('theImageMargeWidth', theImageMargeWidth, {
-		path : COOKIE_PATH
-	});
-	jQuery.cookie('theImageTop', theImageTop, {
-		path : COOKIE_PATH
-	});
-	jQuery.cookie('theImageBottom', theImageBottom, {
-		path : COOKIE_PATH
-	});
-	jQuery.cookie('theImageMargeHeight', theImageMargeHeight, {
-		path : COOKIE_PATH
-	});
-	retval = jQuery.cookie('autosize_reload');
-	retval2 = jQuery.cookie('picture_deriv');
+      // IE 4 compatible
+      myWidth = document.body.clientWidth;
+      myHeight = document.body.clientHeight;
+    }
 
-	if (!retval2)
-	  jQuery.cookie('picture_deriv','medium');
-	//
-	jQuery.cookie('autosize_reload', "ok", {path : COOKIE_PATH,expires:1});
+    windowWidth = jQuery(window).width();
+    windowHeight = jQuery(window).height();
+    if (windowWidth != myWidth) {
+      windowWidth = parseInt(myWidth);
+      windowHeight = parseInt(myHeight);
+    }
 
-	if (reload == "true") {
-		document.location = document.location;
+    jQuery.cookie('windowHeight', myHeight | 800, {
+      path: COOKIE_PATH
+    });
+    jQuery.cookie('windowWidth', myWidth | 600, {
+      path: COOKIE_PATH
+    });
 
-		return;
-		// document.location.reload(false); // from cache
-		try {
+    if (DEBUG_autosize.match(new RegExp("cookies", "gi"))) {
+      cookies = jQuery.cookie('*');
+      for (var i in cookies) {
+        jQuery("div").append("<br>" + i + " = " + cookies[i]);
+      };
+    }
+    jQuery.cookie('autosize_reload', "ok", { path: COOKIE_PATH, expires: 1 });
+    if (reload == "true") {
+      document.location = document.location;
+    }
+    return;
 
-			var retval = document.location.reload(true);
-		} catch (err) {
-			var retval = window.location.reload();
-		}
-	}
-}
+    jQuery.cookie('autosize_reload', "ok", { path: COOKIE_PATH, expires: 1 });
+    if (reload == "true") {
+      document.location = document.location;
+
+      return;
+      // document.location.reload(false); // from cache
+      try {
+
+        var retval = document.location.reload(true);
+      } catch (err) {
+        var retval = window.location.reload();
+      }
+    }
+  }
+
+);
+});
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 22359)
+++ /extensions/Autosize/js/conflit.js	(revision 22360)
@@ -387,11 +387,10 @@
             var fname = fn.substring(fn.indexOf("function") + 8, fn.indexOf("(")) || " ";
             if (fname != " ") {
-
-                jQuery.noop;
+             
                 if (states.length > 0) break;
 
                 // if (fname != " $") callstack.push(fn);
             } if (fname != "") {
-                jQuery.noop;
+                 
                 // if (fname != " $") callstack.push(fn);
             }
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 22359)
+++ /extensions/Autosize/main.inc.php	(revision 22360)
@@ -53,5 +53,5 @@
 				add_event_handler('render_element_content', array(&$autosize_ctrl, 'autosize_calcContent'),EVENT_HANDLER_PRIORITY_NEUTRAL-11,2);
 				add_event_handler('render_element_content', array(&$autosize_ctrl, 'init_1'),EVENT_HANDLER_PRIORITY_NEUTRAL-9,2);
-				add_event_handler('render_element_content', array(&$autosize_ctrl, 'init'),EVENT_HANDLER_PRIORITY_NEUTRAL-1,2  );
+				add_event_handler('render_element_content', array(&$autosize_ctrl, 'init'),EVENT_HANDLER_PRIORITY_NEUTRAL-10,2  );
 				add_event_handler('render_element_content', array(&$autosize_ctrl, 'init2'),EVENT_HANDLER_PRIORITY_NEUTRAL+1,2  );
 				add_event_handler('loc_after_page_header',  array(&$autosize_ctrl, 'cl_autosize_script_1') );
@@ -59,5 +59,5 @@
 				add_event_handler('loc_after_page_header',  array(&$autosize_ctrl, 'cl_autosize_script_3')  );
 				add_event_handler('loc_after_page_header',  array(&$autosize_ctrl, 'cl_autosize_affiche'), EVENT_HANDLER_PRIORITY_NEUTRAL +21    );
-			if(!isset($_GET['slideshow'])) add_event_handler('loc_begin_picture', array(&$autosize_ctrl, 'init_3'), EVENT_HANDLER_PRIORITY_NEUTRAL+6);
+			if(!isset($_GET['slideshow'])) add_event_handler('loc_begin_picture', array(&$autosize_ctrl, 'init_0'), EVENT_HANDLER_PRIORITY_NEUTRAL+6);
 	}
 } ;
